Subject: Re: bug#2235: 22.2.1 emacs -Q should not turn on font-lock

From: Chong Yidong <[email-masked]>
Date: Sun, 08 Feb 2009 10:40:48 -0500

> Please refrain from turning on additional features when "bare bones"
> (-Q) program behavior is asked.

No, thanks.  The -Q option is largely intended for debugging, and it is
unhelpful to turn off font-lock for that purpose.  If the colors on a
white terminal are unreadable, we should fix them everywhere, not just
in -Q.

In the screenshot you posted, the main problem I see is the use of light
cyan for font-lock-keyword-face.  What we could do is remove the
`:weight bold' attribute in the 8-color-terminal definition of
font-lock-keyword-face.